View Issue Details

IDProjectCategoryView StatusLast Update
0000525bareos-core[All Projects] installer / packagespublic2015-09-28 17:16
ReporterstephandAssigned Tostephand 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSanyOS Version3
Product Version15.2.1 
Target Version15.2.1Fixed in Version 
Summary0000525: Changes to systemd unit files on RPM based dists breaks updates
DescriptionCommit https://github.com/bareos/bareos/commit/45e63c011511f381ee50f05625fc1e4c685a8ad0 seems to lead to problems with package updates.
Steps To ReproduceOn CentOS 7, updating bareos-filedaemon should restart it, but does not. The alias introduced with the mentioned commit does not get into effect:

Updated:
  bareos.x86_64 0:15.2.1-13.1.el7 bareos-bconsole.x86_64 0:15.2.1-13.1.el7
  bareos-client.x86_64 0:15.2.1-13.1.el7 bareos-common.x86_64 0:15.2.1-13.1.el7
  bareos-database-common.x86_64 0:15.2.1-13.1.el7 bareos-database-postgresql.x86_64 0:15.2.1-13.1.el7
  bareos-database-tools.x86_64 0:15.2.1-13.1.el7 bareos-director.x86_64 0:15.2.1-13.1.el7
  bareos-filedaemon.x86_64 0:15.2.1-13.1.el7 bareos-storage.x86_64 0:15.2.1-13.1.el7
  bareos-storage-glusterfs.x86_64 0:15.2.1-13.1.el7 libfastlz.x86_64 0:0.1-7.1.el7

Complete!
[root@c7tst01 ~]# needs-restarting
1815 : /usr/sbin/bareos-dir -c /etc/bareos/bareos-dir.conf
1338 : /usr/sbin/bareos-sd -c /etc/bareos/bareos-sd.conf
13344 : /usr/sbin/bareos-fd -c /etc/bareos/bareos-fd.conf
[root@c7tst01 ~]#
[root@c7tst01 ~]# systemctl status bareos-fd
Failed to issue method call: Access denied
[root@c7tst01 ~]# systemctl status bareos-filedaemon
bareos-filedaemon.service - Bareos File Daemon service
   Loaded: loaded (/usr/lib/systemd/system/bareos-filedaemon.service; disabled)
   Active: inactive (dead)
     Docs: man:bareos-fd(8)

It is similar for sd and director.
Additional InformationThere are still SysV init scripts in /etc/init.d packaged for systemd enabled distributions, as there are systemd unit files, they should be removed.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

stephand

stephand

2015-09-28 17:16

developer   ~0001853

Fix committed to bareos bareos-15.2 branch with changesetid 5650.

Related Changesets

bareos: bareos-15.2 3a9359b3

2015-09-24 15:54:31

stephand

Ported: N/A

Details Diff
Fix packaging for RPM based systemd enabled distributions

- updates were broken due to changed systemd unit file names
- adapted pre- and post scripts
- removed unnecesary SysV init scripts
- link /usr/sbin/rcbareos-* to service on suse dists as their
packaging guidelines suggest
- systemd unit files for Debian and RPM based distribution now separate

Fixes 0000525: Changes to systemd unit files on RPM based dists breaks updates
Affected Issues
0000525
rm - debian/bareos-director.service.in Diff File
add - debian/bareos-director.service.in Diff File
add - debian/bareos-filedaemon.service.in Diff File
rm - debian/bareos-filedaemon.service.in Diff File
rm - debian/bareos-storage.service.in Diff File
add - debian/bareos-storage.service.in Diff File
mod - platforms/packaging/bareos.spec Diff File
mod - platforms/systemd/bareos-dir.service.in Diff File
mod - platforms/systemd/bareos-fd.service.in Diff File
mod - platforms/systemd/bareos-sd.service.in Diff File

Issue History

Date Modified Username Field Change
2015-09-22 23:02 stephand New Issue
2015-09-22 23:02 stephand Status new => assigned
2015-09-22 23:02 stephand Assigned To => stephand
2015-09-28 17:16 stephand Changeset attached => bareos bareos-15.2 3a9359b3
2015-09-28 17:16 stephand Note Added: 0001853
2015-09-28 17:16 stephand Status assigned => resolved
2015-09-28 17:16 stephand Resolution open => fixed